[Task] improve Wikidata Echo notification text
Closed, ResolvedPublic

Description

The notification is intended to get people familiar with Wikidata among other things. The current text is probably too cryptic for that. We need to change it.

@thiemowmde says: The current message is "notification-header-page-connection": "The page <strong>$3</strong> was {{GENDER:$2|connected}} to a {{WBREPONAME}} item." The relevant code is in PageConnectionPresentationModel::getHeaderMessage, see https://phabricator.wikimedia.org/diffusion/EWBA/browse/master/client/includes/Notifications/PageConnectionPresentationModel.php;519c1fb23607e937c3ede647003dab23f32fc48e$57. We can add more parameters to this message. The EchoEvent even has an extra slot for stuff it does not support out of the box.

The new text should be: "The page foo was connected to a bar item. It holds additional data about the topic."

If we can then it would be great if we can link "a bar item" to the actual item.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 3 2017, 2:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope added a subscriber: Catrope.May 9 2017, 5:37 PM

If we can then it would be great if we can link "a bar item" to the actual item.

You can't have links inside notification bodies. However, you can add secondary links below the notification; that's what we do for linking to users, pages etc.

Or reverse it, and have the primary link go to Wikidata and a secondary link go to the local page. Nothing actually happened to the local page, so there's nothing to see there really.

The new text should be: "The page foo was connected to a bar item. It holds additional data about the topic."

In the second sentence, "it" would refer to the subject of the previous sentence, which is "the page." I don't think that's what you mean here. Also, I don't see the phrase "Wikidata" here, which seems a little confusing. How about something like this:

The page pagename was connected to the Wikidata item dataitem, which contains data relevant to the subject.

Ok let's go with "The page FOO was connected to the BAR item ITEMID. It contains data relevant to the topic." and link the whole thing to the Wikidata item.

jmatazzoni added a comment.EditedJun 14 2017, 4:26 AM

Ok let's go with "The page FOO was connected to the BAR item ITEMID. It contains data relevant to the topic." and link the whole thing to the Wikidata item.

In English, this formulation has the same problem. "It" here grammatically refers back to "Page FOO," which I think is not what you mean. Again, in English, this issue could be fixed by changing this to:

"The page FOO was connected to the BAR item ITEMID, which contains data relevant to the topic."

Then ITEMID is the referent of "which." But I'm out of my depth here in terms of knowing how various permutations of any phrasing will be interpreted in different languages...

Change 358963 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] [WIP] Reword Echo notification text

https://gerrit.wikimedia.org/r/358963

@jmatazzoni Ahhhhhh! Now I get what you mean. Good point. Amir already made that change in the patch. Thanks.

I was able to build a live test setup. It's redis-dispatching-repo.wmflabs.org and redis-dispatching-client.wmflabs.org. I applied my patch and the result is like this:

It looks nice.

Ladsgroup claimed this task.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 14 2017, 4:43 PM
Ladsgroup reassigned this task from Ladsgroup to thiemowmde.

Change 358963 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Reword Echo notification text

https://gerrit.wikimedia.org/r/358963

Ladsgroup closed this task as Resolved.